Parameters
JSON body
Request body
application/jsonorganisationSlugstringRequiredSlug of the organisation.
Example
acme-corpemailstringRequiredEmail address of the member to block.
Example
john@example.comBlocks a member by email in the specified organisation. Invalidates all their API keys and sends a notification email. Cannot block the last active member. Requires internal admin membership.
JSON body
organisationSlugstringRequiredSlug of the organisation.
acme-corpemailstringRequiredEmail address of the member to block.
john@example.com1 status code documented
successbooleanRequiredWhether the member was blocked successfully.
{
"success": false
}POST /bff/admin/block-member
curl -X POST "https://api.bizkithub.com/bff/admin/block-member" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"organisationSlug": "acme-corp",
"email": "john@example.com"
}'All BizKitHub public API endpoints require authentication via API key.